Limit number of returned documents

- « CollectionFind::having

- CollectionFind::lockExclusive »

- PHP Manual
- mysql_xdevapi\CollectionFind
- Limit number of returned documents

# CollectionFind::limit

(No version information available, might only be in Git)

CollectionFind::limit — Limit number of returned documents

### Description

public mysql_xdevapi\CollectionFind::limit(int `$rows`): mysql_xdevapi\CollectionFind

Set the maximum number of documents to return.

### Parameters

`rows`

  Maximum number of documents.

### Return Values

A CollectionFind object that can be used for additional processing; chain with the execute() method to return a DocResult object.

### Examples

Example #1 mysql_xdevapi\CollectionFind::limit() example

    <?php
    $session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");
    $session->sql("DROP DATABASE IF EXISTS addressbook")->execute();
    $session->sql("CREATE DATABASE addressbook")->execute();

    $schema = $session->getSchema("addressbook");
    $create = $schema->createCollection("people");
    $create
      ->add('{"name": "Alfred", "age": 18, "job": "Butler"}')
      ->execute();
    $create
      ->add('{"name": "Reginald", "age": 42, "job": "Butler"}')
      ->execute();

    // ...

    $collection = $schema->getCollection("people");

    $result = $collection
      ->find('job like :job and age > :age')
      ->bind(['job' => 'Butler', 'age' => 16])
      ->sort('age desc')
      ->limit(1)
      ->execute();

    var_dump($result->fetchAll());
    ?>

The above example will output something similar to:

    array(1) {
      [0]=>
      array(4) {
        ["_id"]=>
        string(28) "00005b6b536100000000000000f3"
        ["age"]=>
        int(42)
        ["job"]=>
        string(6) "Butler"
        ["name"]=>
        string(8) "Reginald"
      }
    }